> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/pd-ag/provisioning-and-activation-of-parallels-desktop/alternative-deployment-methods/alternative-mass-deployment-via-deployment-package/preparing-the-autodeploy-package/configuring-deployment-options.md).

# Configuring Deployment Options

The autodeploy package contains a special script, which is automatically executed on a target Mac after the package is transferred to it. When executed, the script reads the configuration parameter values from the `deploy.cfg` file, which you can modify according to your needs.

To modify the parameters, expand the **License Key and Configuration** folder in the autodeploy package and open the **deploy.cfg** file in a text editor. The configuration parameters are organized in sections, which are described below.

### License

The **License** section is used to specify the Parallels Desktop Enterprise Edition license key. It contains only one parameter, `license_key`, which should be left commented for [SSO activation](/landing/pd-ag/getting-started/configuring-the-single-sign-on-sso-integration-with-parallels-my-account.md) but needs to be uncommented and specified with a working 30-character license key for the license key activation experience. Read [**Parallels Desktop Licensing Guide**](https://docs.parallels.com/landing/pd-ag/parallels-desktop-licensing-guide/) for more information.

{% hint style="warning" %}
**Attention**: In Parallels Desktop for Mac, the activation method defined by a pre-installed configuration profile always takes priority over the one specified in the deployment package. Therefore, if you deploy a package to a machine that already has a configuration profile installed, the activation will happen as defined in the configuration profile.
{% endhint %}

### Virtual Machines (VM(s))

This section contains the parameters that specify how and where the virtual machines get deployed once a local copy of Parallels Desktop for Mac is installed and activated.

<table><thead><tr><th width="344.41015625">Variable</th><th>Description</th></tr></thead><tbody><tr><td>Destination options and file name conflict resolution strategies</td><td><p>The <strong>(Optional) Deploy virtual machines</strong> section of the configuration guides describes strategies that define virtual machine deployment options:<br></p><ul><li>Option 1: Parallels Desktop only. This option installs and activates a copy of Parallels Desktop without provisioning a virtual machine, which in turn happens via the <a href="broken://pages/TGJTDEURG3xnSnT0id8o"><strong>Management Portal</strong></a>.</li><li>Option 2: Specifying a VM download link in the package without including a VM image itself in the package. This option requires you to upload an image to a shared network location.<br><br>You will need to create separate packages and virtual machines for each architecture if you have both Intel and Apple silicon Macs.<br><br>If you choose to <a href="/landing/pd-ag/provisioning-and-activation-of-parallels-desktop/alternative-deployment-methods/alternative-mass-deployment-via-deployment-package/preparing-the-autodeploy-package/optional-adding-a-virtual-machine/optional-adding-a-virtual-machine.md">upload virtual machines to a file share destination</a> and deploy them using a publicly available link, you should set their names and destinations by providing an uncommented string with the link and the new name and destination, e.g.<br><br><code>"https://storage.company.com/VM.zip"="~/Parallels/Windows.zip"</code><br><br>or<br><br><code>"https://example-my.sharepoint.com/exmpleurl1?e=XXXX&#x26;download=1"="~/Parallels/CorporateVM.tar.gz"</code></li><li>Option 3: Including a VM in the deployment package (requires separate images for Apple silicon and Intel x86 processor architectures) by placing them in the package's <strong>Bundle/Virtual Machine (s)</strong> folder, taking into account the possible total package size limitations of your company's device management solution.<br><br>By default, the package will place the virtual machines as defined by the <code>vm_register_mode</code> and <code>vm_destination_folder</code> variables (see below).</li></ul><p>For custom deployment paths, use the variable/value pair as described below, making sure to retain the original virtual machine file name, including the <code>.pvm</code> or <code>.pvmp</code> extensions. For <code>.pvmp</code> source file extension (<a href="/landing/pd-ag/provisioning-and-activation-of-parallels-desktop/alternative-deployment-methods/alternative-mass-deployment-via-deployment-package/preparing-the-autodeploy-package/optional-adding-a-virtual-machine/optional-adding-a-virtual-machine.md#choosing-the-deployment-method">packed virtual machines</a>), the destination extension should also be <code>.pvmp</code>.<br><br>If the <code>vm_register_mode</code> is set to <code>shared</code>, the specified path must be relative to <strong>/Users/Shared/Parallels</strong>.<br><br>The section also contains advice on file conflict resolution strategy in case the target Mac already contains Parallels virtual machines: <code>replace (default)</code>, which permanently deletes the existing VM; <code>copy</code>, which renames the new VM and registers it under the new name; and <code>skip</code>, which leaves the existing VM in place.</p><p><br>Examples:<br><code>"Shared VM.pvm"="./Shared VM.pvm"</code><br><code>"Private VM.pvm"="/Parallels/Private VM.pvm"</code><br><code>"Packed Shared VM.pvmp"="./Shared VM2.pvmp"</code><br><code>"Packed Private VM.pvmp"="/Parallels/Private VM2.pvmp"</code><br><code>"Shared VM.pvm"=copy("./Shared VM.pvm")</code><br><code>"Private VM.pvm"=skip("/Parallels/Private VM.pvm")</code><br><code>"Packed Shared VM.pvmp"=replace("./Shared VM2.pvmp")</code></p></td></tr><tr><td><code>unknown_vms_policy</code></td><td>This parameter specifies what is to be done with the existing virtual machines that are not part of the deployment package. The default value is <code>keep</code>, and the alternative is <code>remove</code>, which permanently deletes any existing virtual machines that are not used by other users of the target Mac.</td></tr><tr><td><code>vm_reset_hwid</code></td><td><p>Specifies whether the virtual machine's SMBIOS ID (hardware ID) will be regenerated. Each Parallels virtual machine is assigned a universally unique SMBIOS ID when created. For your enterprise management software (e.g., Microsoft Intune) to properly account for unique Windows and software activations, unique SMBIOS IDs are required. However, specific scenarios like software development and testing may require keeping SMBIOS IDs unchanged.</p><p>Set the value of the <code>vm_reset_hwid</code> variable as follows:<br></p><p><code>"yes"</code> [RECOMMENDED]— Regenerate the ID.</p><p><code>"no"</code> — Keep the original SMBIOS ID.</p></td></tr><tr><td><code>vm_register_mode</code></td><td><p>Specifies the registration mode for the deployed virtual machines. The accepted values are:<br></p><p><code>"Private"</code> — The virtual machines will be registered for the active user only. The virtual machines will be placed in the <code>/Users/&#x3C;username>/Parallels</code> folder.<br></p><p><code>"Shared"</code> — The virtual machines will be registered for all users of a Mac. The virtual machines will be placed in the <code>/Users/Shared/Parallels</code> folder.<br></p><p>The default destination folder for virtual machines can be modified using the <code>vm_destination_folder</code> variable (see below).</p></td></tr><tr><td><code>vm_destination_folder</code> (Optional)</td><td>Allows you to change the default destination folder for virtual machines. The default folder is determined by the value of the <code>vm_register_mode</code> variable (see above). The <code>vm_destination_folder</code> variable allows you to change the default folder while retaining the selected virtual machine's registration mode parameter value.<br><br><strong>Note</strong>: Deploying shared VM(s) is allowed only to the "/Users/Shared/Parallels" and its subdirectories, so the <code>vm_destination_folder</code> value for the Shared VM case must be a relative path.</td></tr><tr><td><code>vm_deploy_mode</code></td><td><p>Specifies whether the virtual machine(s) will be copied or moved from the autodeploy package to their destination folder on a Mac (see the explanation below).</p><p>Accepted values:</p><p><code>"Copy"</code> — Copy the virtual machine(s).</p><p><code>"Move"</code> — Move the virtual machine(s).</p><p>If your autodeploy package contains one or more virtual machines, they need to be copied or moved to their destination folder on a Mac during deployment (see <code>vm_register_mode</code> and <code>vm_destination_folder</code> variables). Moving a virtual machine file is almost instantaneous, while copying it will take a considerable time due to the large size of a typical virtual machine. The option you specify here depends on the following:<br></p><ul><li>If the deployment tool that you are using copies the entire autodeploy package to a Mac computer before running it, you can use the fast <code>"Move"</code> option. Jamf Pro and Apple Remote Desktop copy packages to a Mac before running them so you can use the <code>"Move"</code> option when using these tools. Note that the package and the destination folder must be located on the same mount point on a Mac for the <code>"Move"</code> operation to be fast; otherwise, it'll be essentially a copy-and-delete operation, hence slow.</li><li>If you are running the autodeploy package from a network share mounted on a Mac (e.g., manually) or a read-only destination, then you should use <code>"Copy"</code> because moving a virtual machine from a remote location will be as slow as copying it. Additionally, moving the virtual machine from the package will remove it, rendering the package incomplete (you want it to stay intact if you want to install it on other Macs).<br><br><strong>Note</strong>: Starting from macOS 10.13, the <code>"Copy"</code> mode supports the APFS <strong>clone file</strong> feature. This means that if the target FS is APFS, the feature is used to reduce the time and disk space when deploying a VM.</li></ul><p><strong>Note</strong>: When testing the autodeploy package on a local Mac, it is better to use <code>"Copy"</code> to avoid removing a virtual machine from the package.</p></td></tr></tbody></table>

### User Experience (optional)

The **User Experience** section contains parameters that control various aspects of user interaction with Parallels Desktop, including [a way to completely obscure Windows](https://docs.parallels.com/landing/pd-ag/parallels-desktop-sam-guide/) from the user and present a Windows app almost like a native Mac app.

<table><thead><tr><th width="414.203125">Variable</th><th>Description</th></tr></thead><tbody><tr><td><code>control_center_banner_url</code></td><td><p>This and the two variables below are grouped together and allow you to customize Parallels Desktop Control Center by displaying a custom HTML banner at the top of its window. For additional information, see <a href="/landing/pd-ag/parallels-desktop-for-mac-enterprise-edition-features/using-custom-graphics-and-links-in-the-control-center.md"><strong>Using custom graphics and links in the Control Center</strong></a>.<br></p><p>The URL of a custom HTML page is to be displayed as a banner in the Parallels Desktop Control Center window. To disable the banner, comment out the variable or specify an empty string as a value.</p></td></tr><tr><td><code>control_center_banner_height</code></td><td><p>The banner height, in pixels. The recommended value is 350.<br></p><p>To use the current value (if you are updating Parallels Desktop on a Mac), comment out the variable.</p></td></tr><tr><td><code>control_center_banner_min_width</code></td><td><p>The banner's minimum width measured in pixels. When resizing the Control Center window, its minimum width will be limited accordingly. The recommended value is 350.</p><p>To use the current value (if you are updating Parallels Desktop on a Mac), comment out the variable. To disable the minimum width limitation, comment out the variable or specify 0 (zero) as a value.</p></td></tr><tr><td><code>enable_single_application_mode</code>(Windows VMs only)</td><td><p>Specifies whether to enable Single Application Mode. For more information, please see <a href="/landing/pd-ag/provisioning-and-activation-of-parallels-desktop/alternative-deployment-methods/alternative-mass-deployment-via-deployment-package/preparing-the-autodeploy-package/single-application-mode.md"><strong>Single Application mode</strong></a>.<br></p><p>Possible values:</p><p><code>"yes"</code> — enable Single Application Mode.</p><p>If the parameter is commented out, Parallels Desktop will be deployed using the "standard" mode.<br></p><p>When using the Single Application Mode, it is recommended to prepare the Windows guest operating system to have auto login enabled.<br></p><p><strong>NOTE:</strong> You cannot redeploy Parallels Desktop with this option set to <code>"no"</code> or commented out to disable Single Application Mode. For that, you need to completely remove Parallels Desktop from your users' Mac computers, and only then can you redeploy Parallels Desktop with this option commented out.</p></td></tr><tr><td><code>sso_login_dialog_header</code> and <code>sso_login_dialog_description</code></td><td>This section allows you to modify the <a href="/landing/pd-ag/getting-started/configuring-the-single-sign-on-sso-integration-with-parallels-my-account.md">Single Sign On (SSO)</a> dialog's header and text. This way, you can show your users a more customized dialog that, e.g., mentions your company's name or tells them to use a specific domain name if they have several corporate email addresses.<br><br>If you are deploying over an existing installation that already has these values set to your preference, keep them commented out. If uncommented and left empty, the default dialog will be shown.</td></tr><tr><td><code>vm_set_hv_mode_apple_forcibly_since_macos_11_0</code>(Deprecated, x86-only)</td><td><p>This parameter overrides hypervisor choice on Intel Macs and is important for scenarios where nested virtualization is expected to be required: Hyper-V, WSL2, or Docker inside Windows virtual machines.<br><br>For virtual machines on Intel Macs that need nested virtualization, set the parameter to <code>"no"</code>.<br></p><p>To forcibly change the hypervisor type to 'Apple', use the following setting:</p><p><code>vm_set_hv_mode_apple_forcibly_since_macos_11_0="yes"</code></p></td></tr><tr><td><code>show_developers_menu</code></td><td><p>Specifies whether to show or hide developer tools in the Parallels Desktop GUI. For more information, please see <a href="/landing/pd-ag/parallels-desktop-for-mac-enterprise-edition-features/hiding-developer-tools-in-the-parallels-desktop-gui.md"><strong>Hiding Developer Tools in the Parallels Desktop GUI</strong></a>.<br></p><p>Possible values:</p><p><code>"no"</code> — hide developer tools.</p><p><code>"yes"</code> — show developer tools.<br></p><p>Please note that this setting will be applied to every virtual machine included in the autodeploy package. You can also configure each virtual machine to hide (or show) developer tools before deployment, but with this option, you can apply the setting automatically during deployment.<br><br><strong>Note</strong>: In Parallels Desktop for Mac Enterprise Edition, this setting, along with many others, can be centrally controlled from the Management Portal using <a href="/landing/pd-ag/preparing-virtual-machines-for-deployment-and-securing-them/policies.md">policies</a>.</p></td></tr></tbody></table>

### Help & Support

The **Help and Support** section is used to specify the action for the **Help** > **Support Center** menu item in the Parallels Desktop graphical user interface.

<table><thead><tr><th width="245">Variable</th><th>Description</th></tr></thead><tbody><tr><td><code>support_url</code></td><td><p>Specifies a URL of a page that will be displayed when a user selects the <strong>Help > Support Center</strong> menu option in the Parallels Desktop graphical user interface. To display the default message, specify an empty string (this is the default behavior). To display your own Web page (help desk, wiki, etc.), specify its URL.<br></p><p>See also <a href="/landing/pd-ag/parallels-desktop-for-mac-enterprise-edition-features/customizing-the-support-center-option.md"><strong>Customizing the Support Center options</strong></a>.</p></td></tr><tr><td><code>lic_admin_url</code></td><td><p>Specifies a URL that will be included in error message dialogs related to licensing operations. The URL should point to a web page or a resource that the user can visit to get help with the problem.<br></p><p>The error message appears when there's a problem activating, renewing, or deactivating a Parallels Desktop license. If you specify a URL using this variable, it will be included in the message dialog in the form "For details click &#x3C;URL>". If you don't specify a URL (comment out the variable or specify an empty string), the default "Contact your system administrator" message will be displayed.</p></td></tr></tbody></table>

### Privacy (previously, Technical Data Reports)

The **Technical Data Reports** section is used to specify whether Parallels Desktop issue reports should contain screenshots of the macOS and virtual machine desktops. You can exclude screenshots for security reasons.

<table><thead><tr><th width="290">Variable</th><th>Description</th></tr></thead><tbody><tr><td><code>report_allow_screenshots</code></td><td><p><code>"yes"</code> — Include screenshots of the macOS and virtual machine desktops in Parallels Desktop problem reports.</p><p><code>"no"</code> — Do not include the screenshots.</p></td></tr><tr><td><code>hide_license_request_params</code></td><td>This parameter allows you to hide hostnames in activation and heartbeat requests. The possible values are <code>on</code> and <code>off</code>.</td></tr></tbody></table>

### Deprecated Options

Over the course of the Parallels Desktop product evolution, some previously available settings have been deprecated (e.g., customer experience program participation), and others (e.g., security and software updates) have been redesigned to be managed centrally from the [**Parallels Management Portal**](broken://pages/TGJTDEURG3xnSnT0id8o).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.parallels.com/landing/pd-ag/provisioning-and-activation-of-parallels-desktop/alternative-deployment-methods/alternative-mass-deployment-via-deployment-package/preparing-the-autodeploy-package/configuring-deployment-options.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
